blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
aa292b9d626f1a54c5684bd34aa3cd88868662c4 | Shell | jsageryd/voiceme | /bot.sh | UTF-8 | 1,227 | 3.71875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
if [ -z "$SERVER" ]; then
echo '$SERVER not set (set it to e.g. "irc.freenode.net")'
exit 1
fi
if [ -z "$PORT" ]; then
echo '$PORT not set (set it to e.g. "6667")'
exit 1
fi
if [ -z "$NICK" ]; then
echo '$NICK not set (set it to e.g. "iibot")'
exit 1
fi
if [ -z "$PASS" ]; then
echo '$PASS no... | true |
870e77552f632363b0f27c3a07e85c70ae960233 | Shell | rudi-c/computational-photography-research | /focusmeasure/median.sh | UTF-8 | 354 | 2.875 | 3 | [] | no_license |
in="../Benchmarks"
cd $in
mkdir Gray
for b in \
LowLightCandle1 \
LowLightCandle2 \
LowLightCup \
LowLightPicture_1_over_30 \
LowLightPicture_1 \
LowLightPicture_2 \
LowLightPicture_4 \
LowLightPicture_8
do
echo $b
for f in $b/*.gray; do ../Src/median --adaptive-median $f ; done
mkdir Gray/$b
m... | true |
95e1b9543bba578b9d979523d5dcfd46c884adc2 | Shell | random-builder/makaira-code | /buildroot/bin/custom_build.sh | UTF-8 | 1,748 | 3.5625 | 4 | [] | no_license | #!/usr/bin/env bash
#
# perform config build
#
set -e
# source repository
readonly job="$1"
readonly marlin="$makaira_code/Marlin"
readonly custom="$makaira_code/Marlin-Custom/$job"
# build parameters
readonly board="arduino:avr:mega:cpu=atmega2560"
readonly sketch="$marlin/Marlin.ino"
readonly target="/tmp/$job"
r... | true |
fd448291ff733c2914a74859ee9c6183a8dbb8a7 | Shell | birocchi/mc823-1s2010 | /proj3/teste_conexao.sh | UTF-8 | 366 | 3.4375 | 3 | [] | no_license | #!/bin/bash
# $# - número de parametros
if [ $# -ne 1 ]
then
echo "uso: ./teste_conexao.sh <endereço_servidor>"
exit 1
fi
OUT=tempos.rtt
# limpa o arquivo com os tempos antigos
rm $OUT
for i in $(seq 500)
do
./runclient.sh $1 <file.in 2>> $OUT
done
clear
echo "$OUT gerado"
echo "Lembrete da condição:"
e... | true |
ca1ef9a1ebe7d90409c9178325b965e8d5a588ae | Shell | slegroux/kaldi | /egs/rdi/s5/local/speech_hints/make_generic_graph.sh | UTF-8 | 852 | 2.796875 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain"
] | permissive | #!/usr/bin/env bash
# (c) 2019 sylvainlg@voicea.ai
dict_dir=$1
lm_base=$2
model_dir=$3
output_dir=$4
lang_base=$output_dir/lang_basevocab
lang_ext=$output_dir/lang_extvocab
output_dir_local=$output_dir/local
mkdir -p $output_dir_local
cp -r $dict_dir $output_dir_local/dict_basevocab
echo "#nonterm:unk" > $output_di... | true |
ed2f35d9d6640254607d93224563812acb7e3cea | Shell | ZubairNabi/ciel | /scripts/local/delete_block_store_data_local.sh | UTF-8 | 382 | 3.59375 | 4 | [
"LicenseRef-scancode-other-permissive",
"ISC"
] | permissive | #!/bin/bash
#SCRIPT: delete_block_store_data_local.sh
#PURPOSE: Delete block store data on each local worker
FILENAME=$1
USERNAME=root
ROOT_DIR=/mnt/ssd/ssd
while read MACHINE
do
CIEL_DIR=$ROOT_DIR/$MACHINE/ciel_data
BS_DIR=$CIEL_DIR/block_store
echo "Deleting block store data on container $MACHIN... | true |
1a730871b3851e08dc9b0607b235309ea28676a3 | Shell | bozz/cashflow | /lib/shell_scripts/create_db_csv.sh | UTF-8 | 663 | 4.15625 | 4 | [] | no_license | #!/bin/bash
# Script for formatting DB (Deutsch Bank) CSV files.
# Expects an original DB CSV file as its argument.
set -e
if [ $# -lt 1 ]
then
echo "Error: missing parameters:"
echo "$0 source_file"
exit
fi
function main {
cat $1 |
grep "^[0-9]" |
ack -v "^[0-9]{2}.[0-9]{2}.[0-9]{4}.-.[0-9]{2}.[0-9]{2}... | true |
108b73d4014347bc569276e5d2b1405a5049108e | Shell | prangyapriyadas/wonder | /read.sh | UTF-8 | 95 | 2.859375 | 3 | [] | no_license | #!/bin/sh
# count lines for a given file
echo "enter file name"
read FILENAME
wc -l $FILENAME
| true |
f82ac65cdb46e0139c79496dc3f555435d1df0f9 | Shell | marineLM/WHInter | /reproduce_results/reproduce_simulations.sh | UTF-8 | 2,209 | 2.578125 | 3 | [
"MIT"
] | permissive | # Simulations
# -----------
# Generate the simulated data
python ./get_data_preprocessed/simulate_lasso.py
# Create the folders to hold the results
mkdir -p ./results/WHInter/
mkdir -p ./results/zetaIL/
mkdir -p ./results/SPP/
mkdir -p ./results/Blitz/
# Run
for i in 1000,1000 1000,3000 1000,10000 300,1000 10000,100... | true |
ca582d519defb46fcafbe55a6cf1f3299724f895 | Shell | popacai/TQOS | /code/generate_clang.sh | UTF-8 | 207 | 3.421875 | 3 | [
"MIT-Modern-Variant"
] | permissive | dir=`pwd`
echo $dir
files=`find $dir -name "*.h"`
echo "" > .clang
for file in $files
do
echo $file >> $dir/.clang
done
folders=`ls -d $dir/*/`
for folder in $folders
do
cp $dir/.clang $folder/
done
| true |
72df571d7e3fbffd693b713549523f6782790347 | Shell | ioBroker/ioBroker | /installer_library.sh | UTF-8 | 23,886 | 3.6875 | 4 | [
"MIT"
] | permissive | # ------------------------------
# Increase this version number whenever you update the lib
# ------------------------------
LIBRARY_VERSION="2022-12-09" # format YYYY-MM-DD
# ------------------------------
# Supported and suggested node versions
# ------------------------------
NODE_JS_LINUX_URL="https://deb.nodesour... | true |
107514ce4700199b8af24d3fd522ae50dec3f8b2 | Shell | jluciano/DataFAQs | /doc/examples/default/faqt-brick/datafaqs-source-me.sh | UTF-8 | 1,084 | 2.578125 | 3 | [] | no_license | export DATAFAQS_HOME="/opt/DataFAQs"
export PATH=$PATH`$DATAFAQS_HOME/bin/df-situate-paths.sh`
# Project settings
export DATAFAQS_LOG_DIR="`pwd`/log"
export DATAFAQS_BASE_URI=""
export DATAFAQS_PUBLISH_THROUGHOUT_EPOCH="true"
export DATAFAQS_PUBLISH_METADATA_GRAPH_NAME="http://www.w3.org/ns/sparql-service-description#... | true |
bcf865944e1b4ee63873649c4cc9ac539048c96b | Shell | khalMeg/WorkedTime | /workedTime.sh | UTF-8 | 1,429 | 3.84375 | 4 | [] | no_license | #!/bin/bash
# written by khalil meguenni, Wed, 27 Jun 2018 21:27:18
if [ $# -eq 4 ]
then
((startHoure = $1))
((startMin = $2))
((endHoure = $3))
((endMin = $4))
if [ $endMin -lt $startMin ]
then
((endMin += 60))
((endHoure -= 1))
fi
((workedHoures = $endHoure - $startHoure))
((workedMin = $endMin - $st... | true |
3b2784b5ca9436ba8eb793ef6e9fb7fc0b7a5eed | Shell | neoito-hub/dotfiles | /move_in.sh | UTF-8 | 1,059 | 3.453125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# CREDITS: https://github.com/jcs/dotfiles/blob/master/move_in.sh
printf -v BACKUP_DATE "%(%Y%m%d)T"
CONF_FILES=".zshrc .vimrc .tmux.conf"
echo "-> Backing up"
for FILE in $HOME/.{zshrc,vimrc,tmux.conf}; {
[ -f "$FILE" ] && mv "$FILE" "$HOME/${FILE##*/}.backup.$BACKUP_DATE"
}
echo "-> Making vim... | true |
8b69da18068120c6e2aa66587fb66179252e287c | Shell | arjan/zotonic-docs | /modules/dispatch/.generate | UTF-8 | 1,108 | 3.65625 | 4 | [] | no_license | #!/bin/bash
pushd ${0%/*}
ZOTONIC_SRC=${ZOTONIC_SRC:=/home/kaos/zotonic}
# /path/to/zotonic/modules/<mod>/dispatchs/dispatch
for f in `find $ZOTONIC_SRC/modules -name \*dispatch\* -type f`
do
read -r mod dispatch <<EOF
`echo $f | sed -e 's,.*/\(mod_[^/]*\).*/dispatch/\(.*\),\1 \2,'`
EOF
echo mod: $mod dispat... | true |
808ba1e2b2dce9fb79b42660999547e632d0fc4c | Shell | keskes0203/CECS420_project_tests | /test_environment/run_tests.sh | UTF-8 | 672 | 3.359375 | 3 | [] | no_license | RESULTS=results.txt
EXECUTABLE=uoflinsort
make
foldername=`echo $eachStudent | rev | cut -d '/' -f 2 | rev`
rm -r output/$foldername
mkdir -p output/$foldername
valgrind ./$eachStudent$EXECUTABLE input/test1 output/$foldername/test1 > output/$foldername/valgrind.log 2>&1
echo "Results" > results/$foldername
for each... | true |
5fa1baaa08a313d8058edfbd1dafa20f55649e22 | Shell | mintak21/terraform-old | /scripts/setup/macOS/setup.sh | UTF-8 | 538 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
install_packages() {
printf '\033[91m%s\033[m\n' 'installing packages...'
brew upgrade
brew bundle --file ./Brewfile
tfenv install
printf '\033[36m%s\033[m\n' 'install packages completed.'
}
setup_git_secrets() {
git secrets --register-aws --global
git secrets --install ~/.git-templates/git-se... | true |
c51b7438bee316757fbe794d9912b4d8fbdc9f02 | Shell | greyofficial/dots | /zsh/.zshrc | UTF-8 | 7,755 | 2.703125 | 3 | [] | no_license | ########
# INIT #
########
#===============================================================================================
### Added by Zinit's installer
if [[ ! -f $HOME/.zinit/bin/zinit.zsh ]]; then
print -P "%F{33}▓▒░ %F{220}Installing %F{33}DHARMA%F{220} Initiative Plugin Manager (%F{33}zdharma/zinit%F{220}... | true |
f3cd409d9bd307655c45c6721e75ccf62746f927 | Shell | alexorfanoud/Freeze | /setup.sh | UTF-8 | 520 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive | #! /bin/bash
FZ_ROOT_PATH=$(pwd)/
echo 'Setting the root path variables...'
if grep -q "#define FZ_ROOT_PATH" $FZ_ROOT_PATH\Freeze/Core.hpp
then
echo 'Root path already set.'
else
echo '#define FZ_ROOT_PATH std::string("'$FZ_ROOT_PATH'")' >> $FZ_ROOT_PATH\Freeze/Core.hpp
fi
echo $'#! /bin/bash \n'$FZ_ROOT_PA... | true |
82e2c3b84f1b38e789065c222d575651e612b729 | Shell | zpppy/kaldi-aslp | /aslp_scripts/vad/calc_auc.sh | UTF-8 | 344 | 3.265625 | 3 | [] | no_license | #!/bin/bash
# Created on 2016-04-26
# Author: Binbin Zhang
stride=0.001
. parse_options.sh || exit 1;
if [ ! $# -eq 1 ]; then
echo "Caculation AUC for vad"
echo "Usage: $0 roc_result_file"
exit 1;
fi
log_file=$1
grep "Thresh" $log_file | \
awk -v stride=$stride '{
sum += $NF;
}
END {
print "A... | true |
2a4f06edf73c518e6518af207817a7c0809b6f3a | Shell | noporpoise/biogrok | /sam-fragment-size | UTF-8 | 347 | 2.625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Print mean, median, min, max of abs(TLEN)
# Requires: R, samtools, awk
samtools view $1 | awk '{if($9 < 10000) {print $9}}' | head -10000 | Rscript <(echo '
d<-scan("stdin", quiet=TRUE)
d<-abs(d)
cat("min:",min(d),"\n",sep="")
cat("max:",max(d),"\n",sep="")
cat("median:",median(d),"\n",sep="")
cat("mean... | true |
5db011a94e2d43becf3dc5989127f4e9ac6db5c6 | Shell | alexarmstrongvi/AlexAnalysisPackage | /bash/store_output_ntuples.sh | UTF-8 | 2,712 | 4.09375 | 4 | [] | no_license | #!/bin/bash
dir=$PWD
# Check environment setup
if [ -z "$ANALYSIS_DIR" ]; then
printf "ERROR :: ANALYSIS_DIR not defined. "
printf "Make sure to setup environment with setup_env.sh.\n"
return 1
fi
function usage()
{
echo -e "Move flat ntuples from outputs into ntuples directory\n"
echo "./store_o... | true |
da2a6b442d79f7aaf9c2a0f026f9ee647d54b045 | Shell | JPalmerGithub/dotfiles | /.bashrc | UTF-8 | 1,565 | 2.890625 | 3 | [] | no_license | # .bashrc
# Source global definitions
if [ -f /etc/bashrc ]; then
. /etc/bashrc
fi
source ~/.bash_aliases
source ~/.bash_functions
source ~/.bash_prompt
if [ $(hostname -s) != "LDCSRUN1" ] ; then
source ~/.bash_ansible
fi
# User specific aliases and functions
if [[ $- != *i* ]] ; then #not interactive... don't ne... | true |
9eb6495f12a5aefe9ee6d48fdb5c90ed5340d034 | Shell | WIEQLI/devenv | /install_linux/install_ffmpeg.sh | UTF-8 | 681 | 3.3125 | 3 | [] | no_license | set -e
FFMPEG=`which ffmpeg`
if [ "$FFMPEG" != "${DEV_HOME}/local/bin/ffmpeg" ]; then
echo "ffmpeg not found."
if [ ! -d "${DEV_HOME}/development/FFmpeg-master" ]; then
echo "Download ffmpeg"
wget -O ${DEV_HOME}/development/devenv/download/ffmpeg-master.zip\
https://github.com/FFmpeg... | true |
b46f5ba12449bfd9b37284e7507f33dbc14a15d8 | Shell | HenryHo2015/shell-scripts | /compare_variables.sh | UTF-8 | 322 | 3.796875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# All compare approaches
read -p "Enter the first number:" first
read -p "Enter the second number:" second
if [ $first -lt $second ]
then
echo "$first is less than $second."
else
if [ $first -eq $second ]
then
echo "$first equal to $second."
else
echo "$first is greater than $second."
fi
f... | true |
734744328522cf2fa96fb4024de3e8ff78cb7d85 | Shell | xiph/rav1e | /cross/entrypoint-build-libs.sh | UTF-8 | 221 | 2.84375 | 3 | [
"BSD-2-Clause",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/sh
for arg in "$@"; do
arg=$(echo $arg | perl -pne \
's/(?:(?<=\s)|^)build(?=\s)/cinstall --library-type staticlib --library-type cdylib --prefix dist/')
set -- "$@" "$arg"
shift
done
set -ex
exec "$@"
| true |
059c84100387c1815e57c358ce098d73a70d2730 | Shell | apache/tvm | /tests/scripts/task_show_node_info.sh | UTF-8 | 1,438 | 2.734375 | 3 | [
"Apache-2.0",
"BSD-3-Clause",
"MIT",
"LicenseRef-scancode-unknown-license-reference",
"Unlicense",
"Zlib",
"LLVM-exception",
"BSD-2-Clause"
] | permissive | #!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lice... | true |
fea377d3cb800ac26a4b6d33d2ff253879ff1068 | Shell | MrDonaldoWorking/Linux-Labs | /2/script.sh | UTF-8 | 1,699 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# Run with sudo is necessary!
sda=$(udevadm info /dev/sda --query=symlink --root | tr " " "\n" | grep "^/dev/disk/by-id/ata")
sda3="${sda}-part3"
sda4="${sda}-part4"
sda5="${sda}-part5"
sda6="${sda}-part6"
empty=''
# 1
fdisk $sda << 1_param
n
p
3
$empty
+300M
w
1_param
# 2
blkid $sda3 -o value > /root/... | true |
194a3c036b869305d7f4fc49a4d47127f7b10255 | Shell | ajdehel/terminal-config | /bash/functions/capsoption.sh | UTF-8 | 156 | 3.421875 | 3 | [] | no_license | export CAPSOPTION="escape"
function capsoption {
if [ -e "$(which setxkbmap)" ]; then
setxkbmap -option caps:$CAPSOPTION &> /dev/null
fi
}
| true |
fb887ec221e71df6fee6b71f3f64a1f9cbaad3c0 | Shell | CptnClaw/dotfiles | /.bashrc | UTF-8 | 3,826 | 3.40625 | 3 | [] | no_license | #
# ~/.bashrc
#
# Run only on interactive shells
[[ $- != *i* ]] && return
# Prompt
PS1='\[\033[01;36m\]\W\
\[\033[01;34m\] ❯\
\[\033[00m\] '
# Key bindings
bind '"\C-f":"cd_with_fzf\n"'
bind '"\C-o":"open_with_fzf\n"'
# Environment Variables
export VISUAL=vim
export EDITOR="$VISUAL"
# Aliases
#shopt -s expand... | true |
d33286f72785bf29a77f7a9de41dde716f83b0f3 | Shell | matthiaswh/bit4 | /test832-blacklistd/templates/ipfw.rules.j2 | UTF-8 | 1,159 | 2.796875 | 3 | [] | no_license | #!/bin/sh
LOOP="lo*"
PIF="{{ ansible_default_ipv4.interface }}"
PING="icmptypes 8"
ipfw -q flush
alias ADD="ipfw -q add"
#
# Basic rules
#
ADD 0100 allow all from any to any via $LOOP
ADD 0999 check-state
#
# Inbound rules
#
# Block blacklisted peers from accessing any port. Do not change the rule
# number. It i... | true |
afd7d72bf2e60b014e982441678524681a886472 | Shell | ChearH/frizzer | /tests/simple_binary/run_tests.sh | UTF-8 | 2,029 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Expected bahavior:
# Find new paths at seeds: 5, 111, 135, ...
# Find crash at 1793 ( ~ 4 minutes )
# [*] [seed=1792] speed=[ 77 exec/sec (avg: 56)] coverage=[20 bblocks] corpus=[9 files] last new path: [1422] crashes: [0]
# [*] [seed=1793] 2020-08-11 12:53:53 tmpprojdir/corpus/1422_1290_111_5_3
# [!] d... | true |
b8b9bdc2d1e665baac6aa22b2d22bd7c46615a91 | Shell | zaurky/twitter_download | /download_images.sh | UTF-8 | 412 | 3.046875 | 3 | [] | no_license | #!/bin/bash
BASEDIR=$(dirname $0)
LOCK="/tmp/download_image.lock"
cd $BASEDIR
if [ ! -f $LOCK ]; then
touch $LOCK
source workspace/bin/activate;
PYTHONPATH=$BASEDIR python bin/download_image.py > /tmp/download_image.log 2> /tmp/download_image.err;
deactivate;
rm -f $LOCK
fi
# should add a non du... | true |
098b355133875c46e9c7bfb6801f2a631cba175a | Shell | edwardwawrzynek/arch-dotfiles | /bash/.bash_aliases | UTF-8 | 779 | 2.6875 | 3 | [] | no_license | ## ls
alias ls='ls -hF --color=auto'
alias lr='ls -R' # recursive ls
alias ll='ls -l'
alias la='ll -A'
alias lx='ll -BX' # sort by extension
alias lz='ll -rS' # sort by size
alias lt='ll -rt' # sort by date
alias lm='la | more'
## safety
alias cp=... | true |
954467bfdaad07567eb960a6b06bcf8100497299 | Shell | EarlyBirdAstro/AiGO | /aigo-tools_dev/src/old/postinst.2018v1a3-1.1.95 | UTF-8 | 3,192 | 3.203125 | 3 | [] | no_license | #!/bin/sh
type=$1
echo "postinst="$type
AIGO_TOOLS_DIR=/opt/aigo
LOCAL_DIR=/usr/local
ROOT_DIR=/
UDEV_RULES_DIR=/lib/udev/rules.d
AIGO_USER=aigo
AIGO_HOME=/home/$AIGO_USER
LG_CONF_DIR=$AIGO_HOME/.config/GM_software
LG_CONF=lin-guider.conf
LXPANEL_CONF_DIR=$AIGO_HOME/.config/lxpanel/LXDE/panels
LXPANEL_CONF=panel
AUTO... | true |
e23ed8eeeb7fb2bd0567c4849669053c683ba9c2 | Shell | carlfriess/DoritOS | /tools/prepare-sdcard.sh | UTF-8 | 563 | 3.484375 | 3 | [
"MIT",
"LicenseRef-scancode-dco-1.1"
] | permissive | #!/bin/bash
SD_CARD=$1
function writefile()
{
echo "hello world! $1" > ${SD_CARD}${1}
}
echo "Preparing sd-card: $SD_CARD"
mkdir $SD_CARD/parent
mkdir $SD_CARD/parent-directory
writefile "/myfile.txt"
writefile "/mylongfilenamefile.txt"
writefile "/mylongfilenamefilesecond.txt"
writefile "parent/myfile.txt"
... | true |
1cd5586e284ce3b91d9545adab5e2aea87579333 | Shell | fengyr/huawei_split_partition | /split_part.sh | UTF-8 | 1,211 | 2.71875 | 3 | [] | no_license | #!/sbin/sh
#===============================================================================
#
# FILE: splite_part.sh
#
# USAGE: /tmp/splite_part.sh
#
# DESCRIPTION:对华为U8825D和华为U8950d重新分区操作,默认Data大小是512M
# 需在recovery中操作,请上传 busybox 到 /tmp/busybox
#
# OPTIONS: ---
# REQUIREME... | true |
9b65b320082ee8e19368a16c86b8bcc05b2f189e | Shell | benjixxx/ProjetGitOrganisation | /backup.sh | UTF-8 | 945 | 3.84375 | 4 | [] | no_license | #!/bin/bash
#permet de connaitre le nombre de seconde depuis 01/01/1970 de la derniere modif
t1=`find /backup/ -printf "%Td-%Tm-%Ty \n" | tail -1`
t2=`find /home/git/projet-1.git/ -printf "%Td-%Tm-%Ty \n" | tail -1`
#convertir le string provenant du format jj-mm-yy en int
echo $t1
echo $t2
# temps1=$(date -d $t1 +%... | true |
35cba895211c714114f1c608f5d9b35cc76eb275 | Shell | GonzaloHirsch/sds-1-neighbour-finder | /generator/statistics_generator.sh | UTF-8 | 602 | 3.109375 | 3 | [] | no_license | #!/bin/bash
particle_radius="0.25";
interraction_radius="1";
area_length="20";
destdir=generator/variables_generator
if [ -f "$destdir" ]
then
echo "$1" > "$destdir"
echo "$area_length" >> "$destdir"
echo "$2" >> "$destdir"
echo "$interraction_radius" >> "$destdir"
echo "$particle_radius" >> "$de... | true |
7f496dd6b0cbc0cffd500d640be7b18b680e18fd | Shell | usc-isi-i2/kgtk | /kgtk/join/test/analyze-wikidata_edges_20200504-properties.sh | UTF-8 | 2,223 | 3.125 | 3 | [
"MIT"
] | permissive | #! /bin/bash
PROPERTY=P580
WORKDIR=task-20200624
WIKIDATADIR=../../cache/datasets/wikidata-20200504
# WIKIDATAGZIP=.gz
WIKIDATAGZIP=
# VERBOSE=
VERBOSE=--verbose
# KGTK=echo
# KGTK="kgtk"
KGTK="python3 -m kgtk"
# Extract the qualifiers with ${PROPERTY} in the label column.
${KGTK} filter ${VERBOSE} \
${WIKIDAT... | true |
00c51580715c8e23328f9ce4154b8c13625683bd | Shell | BlaineEXE/dev-rook-ceph | /scripts/cluster/minikube-down.sh | UTF-8 | 221 | 2.546875 | 3 | [] | no_license | #!/usr/bin/env bash
set -eEuo pipefail
: "${MINIKUBE:="minikube"}"
: "${PODMAN:="podman"}"
# # revert back to default docker context
# $PODMAN context use default
# $PODMAN context rm minikube || true
$MINIKUBE delete
| true |
97cf061afd9285232e66f043a0e049573bb6276e | Shell | rsukkerd/Histaroach | /kill_j_a_v_a_processes.sh | UTF-8 | 745 | 3.96875 | 4 | [] | no_license | #!/bin/bash
#
# 1. gets list of current java process ids that this user is running
# 2. filters out the process id supplied as a command line argument to the script ($1)
# 3. does a kill -9 on each of the non-filtered process ids
#
# Usage:
# ./kill_java_processes.sh 32423
if [ -z "$1" ]
then
echo "ERROR: pass a p... | true |
3bf64e2c4f0726fcb79a567f406d0919ea09fdc0 | Shell | NigelGreenway/dotfiles | /bash/aliases/general | UTF-8 | 437 | 3.078125 | 3 | [] | no_license | #!/bin/env bash
## Directory listing
alias ll='ls --color -lh'
alias lla='ll -a'
alias lld='vdir --color'
alias llr='ll -R'
## File preview
alias cat='pygmentize -g'
## Bash helpers
__='
Allows a bash profile to be loaded easier without them
extra keystrokes
'
function r {
if [ -z "${FRAPPER__ALIAS__CLEAR_PROMP... | true |
07de0aa70ef1250abb873bd7162971b15dd18bf6 | Shell | anton-m-kashin/iOSAppTemplate | /generate.sh | UTF-8 | 3,500 | 4.1875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
TEMPLATES="./templates"
BUNDLE_PREFIX_KEY="<BUNDLE_ID_PREFIX>"
NAME_KEY="<APP_NAME>"
TEAM_ID_KEY="<TEAM_ID>"
usage() {
echo "Usage: $0 <all|makefile|project|help> <options>"
echo " $0 all \\
--path </where/to/store/new/app> \\
--bundle-prefix <s... | true |
691c46100c4c823cb34e37fc07fd2ed7b5b158e0 | Shell | mcroteau/point-cloud | /xyz-parser/scripts/bin/prop | UTF-8 | 227 | 3.125 | 3 | [] | no_license | #!/bin/bash
prop-file(){
echo ${SCRIPT_DIR}/etc/properties/${ENVIRONMENT}.properties
}
prop-list(){
cat $(prop-file) | grep -v "^$" | grep -v "^#"
}
prop-edit(){
vim $(prop-file)
}
CMD_PREFIX=prop
. ${CMD_SCRIPT_BASE} | true |
98eadd363da52a86482d3b3337c97236a8b907da | Shell | saibye/project | /auto/autoinfo | UTF-8 | 1,002 | 2.828125 | 3 | [] | no_license | #!/bin/bash
export SAI_HOME=/home/sai3
export LD_LIBRARY_PATH=/usr/lib64:/usr/local/lib64:${SAI_HOME}/tools/lib64:.
export LIBPATH=${LD_LIBRARY_PATH}
export PATH=/home/public/anaconda3/bin:${SAI_HOME}/project/bin:${SAI_HOME}/project/sbin:/usr/local/bin:/usr/local/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/game... | true |
11eeaf3816cd69e0c38e9e3c1d3186b0a005d2c3 | Shell | albert4git/bTest | /bPot/ReBASH/TarBACKUP.sh | UTF-8 | 1,505 | 3.296875 | 3 | [] | no_license | #! /bin/sh
#
# TarBACKUP.sh
# Copyright (C) 2019 red <red@red-Swift-SF113-31>
#
# Distributed under terms of the MIT license.
#
#! /bin/bash
#
# Home Directory Backup Script
#
tar --listed-incremental=/media/backup/snapshot.file -cJpf /media/backup/home-backup-`date +%d-%m-%Y`.tar.xz /home/user/{Documents,Downloads... | true |
6869f24aaa053d09f58e2b5be79e00ca42baeb23 | Shell | richard534/dotfiles | /zshrc | UTF-8 | 1,035 | 3.03125 | 3 | [] | no_license | ## Oh-my-zsh Config
# Path to your oh-my-zsh installation.
export ZSH=$HOME/.oh-my-zsh
ZSH_THEME="robbyrussell"
plugins=(git tmux)
source $ZSH/oh-my-zsh.sh
## PATH Config
# Base path
PATH=/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin
## Personal dotfiles bin dir
DOTFILES_ROOT="$HOME/dotfiles"
PATH="... | true |
703568820f0edee1fa0d5eefcb489e246b2b0d2a | Shell | lixf/rpi_server | /src/tests/testPi.sh | UTF-8 | 853 | 3.1875 | 3 | [] | no_license | #!/bin/bash
echo "Basic Test: Three workers, one master, three clients."
echo "[TEST] Starting timer:"
T="$(date +%s%N)"
echo "[TEST] CLIENT (run locally):"
CLIENT_GO=$GOPATH/src/runners/crunner/crunner.go
TESTS=$GOPATH/src/tests
go run $CLIENT_GO -b=$TESTS/shortGetPost1.txt > $TESTS/logs/client1.log &
CLIENT_PID1=... | true |
1a1a550d6fb00b8c0e8162367a14bc938b76cfc9 | Shell | JamesSWiggins/aws-ohdsi-rstudio-automated-deployment | /rstudio_ohdsi_sparklyr_emr5.sh | UTF-8 | 11,573 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -x -e
# AWS EMR bootstrap script
# for installing RStudio (and Shiny) with SparkR, SparklyR, etc on AWS EMR 4.x and 5.x
#
# 2014-09-24 - schmidbe@amazon.de initial version for RHadoop packages and RStudio
# 2015-07-14 - Tom Zeng tomzeng@amazon.com, modified on top of Christopher Bozeman's "--sparkr" ... | true |
75714726ec6e64b4d6cd146442971035b14caa47 | Shell | eckinox/pdf-bundle | /DEV/hooks/pre-commit | UTF-8 | 1,730 | 4.1875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
BASEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/../.."
# Define CI scripts to run
CI_SCRIPTS=("php-cs-fixer.sh" "phpstan.sh" "phpmd.sh" "stylelint.sh")
CI_SCRIPT_NAMES=("PHP-CS-Fixer" "PHPStan" "PHPMD" "CSS stylelint")
scriptCount=${#CI_SCRIPTS[@]}
addedFiles=$(git diff --diff-filter=d --cached ... | true |
f59a46ed46a93d4468ce658f758938d7c664cdd0 | Shell | mrusme/dotfiles | /usr/local/bin/waybar-cpu | UTF-8 | 336 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
cmd=$1
if [[ "$cmd" == "set" ]]
then
governor=$(cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors | tr " " "\n" | grep -v '^$' | bemenu)
if [[ "$governor" != "" ]]
then
sudo cpupower frequency-set -g "$governor"
fi
elif [[ "$cmd" == "get" ]]
then
cpupower frequency-info -p |... | true |
f95c697c6c6c13b6b1e879967c6b94567c6a5809 | Shell | wbur/auto-tweet-videos | /create_srt_transcript.sh | UTF-8 | 1,029 | 4.03125 | 4 | [] | no_license | #!/bin/bash
# finds the status of AWS Transcribe job with name
# SHOW_YYYY_MM_DD
# if status is COMPLETED
# it downloads the transcript JSON,
# then converts it into an srt file named
# SHOW_YYYY_MM_DD.srt
year=$(date +'%Y')
month=$(date +'%m')
day=$(date +'%d')
job="SHOW_${year}_${month}_${day}"
temp_job_file=/tmp... | true |
7e7f0c8ce20a7349bec98035c740caba70ddfba3 | Shell | LiJianYing-arch/endosperm_snRNAseq_2021 | /scripts/merge_many_files.sh | UTF-8 | 6,705 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# ------------------------------------------------------------------------------------
# v1.0 by Colette L. Picard
# 06/23/2018
# ------------------------------------------------------------------------------------
# -------------------------
# Version history:
# v.1.0: initial build - 06/23/2018
# ------... | true |
f819ab1293e0fdeaf99e283f2605bc9f442fb7e4 | Shell | mdamt/blankon-installer | /scripts/blankon-session-try-installer | UTF-8 | 607 | 3.171875 | 3 | [] | no_license | #!/bin/bash
if [ -z "$TRY_B_I" ];then
exit
fi
grep "boot=live" /proc/cmdline
if [ $? -eq 0 -a -x /usr/bin/blankon-installer ];then
rm -f /run/locale
sudo -E nice -n -20 blankon-installer
# Run post-install script when created by blankon-installer
if [ -f /tmp/post-install.sh ];then
. /t... | true |
d149c7c9c40355ed679233dffa0d8360d89e3512 | Shell | YJMOD-Dock/CentOS7_NvidiaDriver-Cuda10.1_install | /Nvidia_Driver_install_3.sh | UTF-8 | 973 | 3.53125 | 4 | [] | no_license | echo "install cuda10.1"
sub_dist=$(cat /etc/redhat-release)
arch=$(uname -m)
if [ ${sub_dist:0:6}${sub_dist:21:1} = CentOS7 ];then
dist="rhel7"
echo "Version : ${sub_dist:0:22}"
else
echo "check your OS"
fi
wget https://developer.download.nvidia.com/compute/cuda/repos/$dist/$arch/cuda-repo-$dist-10.1.105-1.$arch.... | true |
a6f45b3bb16c2d74f47031004c741c219cd6a302 | Shell | itseytlin/dotfiles | /zshrc | UTF-8 | 2,364 | 2.921875 | 3 | [] | no_license |
# Path to your oh-my-zsh installation.
export ZSH="/Users/itseytlin/.oh-my-zsh"
# Set name of the theme to load --- if set to "random", it will
# load a random theme each time oh-my-zsh is loaded, in which case,
# to know which specific one was loaded, run: echo $RANDOM_THEME
# See https://github.com/ohmyzsh/ohmyzsh/... | true |
daf5995dc535834c2b1c97b9dec7b38c74ead46b | Shell | josego85/ProyectosBeta | /scripts/LibreOffice/instalarLibreOffice6_1_0__64bits.sh | UTF-8 | 1,744 | 2.984375 | 3 | [] | no_license | #!/bin/bash
# Autor: josego
# Blog: proyectosbeta.net
# Fecha creacion: 15 de agosto de 2018 a las 19:56 hs.
# Desinstala por completo si se tiene instalado LibreOffice.
# Se instala LibreOffice 6.1.0 en español con su manual de ayuda correspondiente.
apt-get purge libreoffice* -y
apt-get remove libreoffice*
apt-get au... | true |
e55e271df6c031f15c4c8e8ca4feddd7e789758e | Shell | ninja971/hammer-scripts | /cap63-setup.sh | UTF-8 | 15,515 | 3.21875 | 3 | [] | no_license | #!/bin/bash
# vim: ft=sh:sw=2:et
cat <<EOF
Capsule-6.3 Demo/Test/PoC Setup Script
========================================
This script is intended to automate a Capsule-6.3 server installation on top of a Satellite-6.3 setup for demo, test or PoC purposes.
The script helps to perform the initial steps to finish th... | true |
5e8fe950a7e229db96bcb3a2ec3143099870cdf2 | Shell | mcmtroffaes/bibliography | /generate-bib-per-category | UTF-8 | 1,282 | 3.734375 | 4 | [] | no_license | #!/bin/bash
if [ "$#" -lt 2 ]
then
echo "Usage: generate-bib-per-category <file.bib> Author [--delurl]"
exit 1
fi
BIBFILE=$1
AUTHOR=$2
DELURL=0
shift 2
while (( "$#" ))
do
if [[ "$1" == "--delurl" ]]
then
DELURL=1
fi
shift
done
bib2bib -s year -s month -r -ob publications.bib -c "a... | true |
4f27073a2c9d693e37adfd8f43064665dc054c23 | Shell | analogdevicesinc/linux_image_ADI-scripts | /swap_to | UTF-8 | 1,978 | 4.46875 | 4 | [
"LicenseRef-scancode-other-permissive",
"BSD-3-Clause"
] | permissive | #!/bin/sh
# swap_to a different image on the SD Card, while keeping a backup
# usage:
# swap_to directory_name
if [ `id -u` != "0" ] ; then
echo "This script must be run as root" 1>&2
exit 1
fi
if [ "$(grep mmcblk0p1 /proc/mounts | wc -l)" -eq "0" ] ; then
mount /dev/mmcblk0p1 /media/boot
fi
DIR=$(grep mmcbl... | true |
c67ec99840ab1f1cd8b794201c58bb9b3248afaf | Shell | pereorga/poedit | /deps/gettext/gettext-tools/tests/xgettext-sh-2 | UTF-8 | 844 | 3.25 | 3 | [
"MIT",
"GPL-1.0-or-later",
"GPL-3.0-only",
"LGPL-2.1-or-later"
] | permissive | #!/bin/sh
. "${srcdir=.}/init.sh"; path_prepend_ . ../src
# Test Shell support: --add-comments option.
cat <<EOF > xg-sh-2.sh
# This comment will not be extracted.
gettext "help"
# TRANSLATORS: This is an extracted comment.
gettext "me"
# Not extracted either.
gettext "Hey Jude"
# TRANSLATORS:
# Nickname of the B... | true |
6cf72b3c55f2ff901dc2360fc3d8a24d27f58a73 | Shell | garikait/myappsample | /check_weekv2.sh | UTF-8 | 618 | 3.59375 | 4 | [] | no_license | #!/bin/bash
echo -e "Checking is we should run this script\n====\n"
if [ -f count_week.txt ]; then week_number=`cat count_week.txt`; else week_number=1; fi
case $week_number in
echo -e "This is week number $week_number"
if [ $week_number -le 3 ]
then
week_number=`expr $week_number + 1`
echo "New W... | true |
f9306aa811bac261d2737f26d88643eb8d7e63d1 | Shell | zheng-at/myscripts | /整数连乘.sh | UTF-8 | 486 | 3.625 | 4 | [] | no_license | #!/bin/bash
echo -e "\033[1m计算连续整数的连乘\033[0m"
read -p "输入整数x,默认为1:" x
echo $x | grep '[^0-9]' > /dev/null && echo "请输入整数" && exit
x=${x:-1}
read -p "输入整数y,默认为10:" y
echo $y | grep '[^0-9]' > /dev/null && echo "请输入整数" && exit
y=${y:-10}
i=1;j=1
while [ $j -le $[y-1] ];do
let j++
i=$[i*j]
done
a=1;b=1
while [ $b -le $[x-... | true |
0fceb086cd684ddca953873f5cf684be4a83764d | Shell | ufcg-lsd/arrebol-pb-worker | /worker/bin/task-script-executor.sh | UTF-8 | 1,276 | 4.25 | 4 | [] | no_license | #!/bin/bash
# Read the task script file and execute one command at a time, saving your exitcodes in the .ts.ec file.
# Each command executed is written to the .cmds file.
# Use -tsf= or --task_filepath= to input the task file path (Required).
# Use the flag -d or --debug to store .out and .err from execution (Optional... | true |
12f375bafbee1379345ee0d14a8cb4ab6999f3c1 | Shell | root-gg/plik | /testing/mssql/run.sh | UTF-8 | 795 | 3.609375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -e
cd "$(dirname "$0")"
BACKEND="mssql"
CMD=$1
TEST=$2
source ../utils.sh
check_docker_connectivity
DOCKER_VERSION=${DOCKER_VERSION-2019-latest}
DOCKER_IMAGE="mcr.microsoft.com/mssql/server:$DOCKER_VERSION"
DOCKER_NAME="plik.mssql"
DOCKER_PORT=2605
PASSWORD="P@ssw0rd"
function start {
if status... | true |
2dcc9da72fbc2ee42f0989433f986dfd20e7e53b | Shell | cfengine/buildscripts | /build-scripts/autogen | UTF-8 | 1,938 | 3.984375 | 4 | [] | no_license | #!/bin/sh -ex
. `dirname "$0"`/functions
GITSHAOF="core buildscripts buildscripts/deps-packaging"
case "$PROJECT" in
community)
NOVA=no
;;
nova)
NOVA=yes
GITSHAOF="$GITSHAOF enterprise nova"
;;
*)
echo "Unknown project: $PROJECT"
exit 42;;
esac
if test "x$NOVA" = "xyes"
then
pr... | true |
df1af7f1de4084841c311f81549a565766f14a09 | Shell | ivartz/opticalflow-bcond | /of-farneback-models-patient.sh | UTF-8 | 541 | 3.03125 | 3 | [] | no_license | run_evals=1
patientdir=$1
fixedimg="$patientdir/T1c.nii.gz"
oftype="offarneback"
# Make array of patient models, full paths
readarray -t models < <(find $patientdir -mindepth 1 -maxdepth 1 -type d | sort)
for model in ${models[*]}; do
outdir="$model/$oftype"
c="mkdir -p $outdir"
if [ $run_evals == 1 ]; t... | true |
a1ffa618c3607b66c39efe33492f153c81e87972 | Shell | pinfort/Kazanami | /Profile_auto_generator/update.sh | UTF-8 | 2,160 | 3.875 | 4 | [] | no_license | #!/usr/bin/env bash
# Thank you Download This Script.
# This program can running on Github Actions.
# I checked successfull running on Github Actions.
#
# Require Env Parameter
#
# ${GITH_USER} -> Push Commit Username
# ${GITH_EMAIL} -> Push Commit User Email
# Debug Mode Switch
if [ $DEBUG_MODE = 0 ];then
set -u
e... | true |
e202d625ed7d1508b02a49c9fd0002a944e5e25c | Shell | rbloomdaleIXL/my_dev_environment | /my_aliases.sh | UTF-8 | 980 | 2.828125 | 3 | [] | no_license | alias ShowHiddenFiles="defaults write com.apple.finder AppleShowAllFiles -boolean true"
alias HideHiddenFiles="defaults write com.apple.finder AppleShowAllFiles -boolean false"
export MainGitBranchName="develop"
###############
# iOS #
###############
################
# brew #
################
alias ... | true |
02f8b07f0b183a4c91877f8a05f2b439e20a4486 | Shell | SaundersLab/FieldPathogenomics | /scripts/init_working_copy.sh | UTF-8 | 3,008 | 3.578125 | 4 | [] | no_license | #!/bin/bash -e
for i in "$@"
do
case $i in
--dev-dir=*)
dev_dir="${i#*=}"
shift # past argument=value
;;
--scratch-dir=*)
scratch_dir="${i#*=}"
shift # past argument=value
;;
--base-dir=*)
base_dir="${i#*=}"
shift # past argument=value
;;
--prod-dir=*)
prod_dir="... | true |
2ad01faaf9dad32621b5f4c8d87a4393758a7a01 | Shell | leonardt/cgra_test | /scripts/pnr_setup.sh | UTF-8 | 253 | 3.0625 | 3 | [] | no_license | #!/usr/bin/env bash
set -xe
# clone the generator
dest_dir=${PNR_DIR}
WD=${ROOT_DIR}
if [ ! -d ${dest_dir} ]; then
git clone --depth 1 \
https://github.com/Kuree/cgra_pnr ${dest_dir}
fi
cd ${dest_dir}
make
pip install -r requirements.txt
| true |
b9f4e7beca3fff2aa453ce22991167193ddd7ce4 | Shell | nanite10/distributions | /old/centos_first_boot.sh | UTF-8 | 8,733 | 3.125 | 3 | [] | no_license | #!/bin/bash
full=`cat /etc/centos-release | tr -dc '0-9.'`
major=$(cat /etc/centos-release | tr -dc '0-9.'|cut -d \. -f1)
minor=$(cat /etc/centos-release | tr -dc '0-9.'|cut -d \. -f2)
asynchronous=$(cat /etc/centos-release | tr -dc '0-9.'|cut -d \. -f3)
echo "CentOS Version: $full"
echo "Major Relase: $major"
echo "M... | true |
e0dfa9ec3291c608056f5f19a3abbc6d36e9c119 | Shell | 1056599071/boss-hive | /src/main/resources/shell/prevue/run.sh | UTF-8 | 939 | 3.296875 | 3 | [] | no_license | source ~/.bash_profile;
BASEDIR=`dirname $0`
cd $BASEDIR
yesterday=`date -d "1 days ago" +"%Y%m%d"`
if [ "$#" -eq 1 ]; then
yesterday=$1
fi
echo "export user play record....."
sh run_play_record.sh $yesterday
echo "export movie configuration....."
sh export_rec_config_fromdb.sh $yesterday
url_filesize=`sed '/^[... | true |
3d0c39cbc574170465bd04d382c7d1588d2bb876 | Shell | oncoapop/data_reporting | /beast_scripts/check-primers.sh | UTF-8 | 1,680 | 3.203125 | 3 | [] | no_license | #!/bin/sh
primerlist="/home/dyap/Projects/PrimerDesign/Splice/primer3/hct116_htert_primer_order.txt"
#$5 length
#$6 left primer
#$8 right primer
primer_order="/home/dyap/Projects/PrimerDesign/Splice/primer3/hct116_htert-filtered.AmpliconManifest"
temp="/home/dyap/dyap_temp/CG_Panel_primers.csv"
temp2="/home/dyap/dya... | true |
3449c4ca57bde88c41cee9d2223add7dad16c253 | Shell | CV-AO/CV-DEMO-FRBT | /ao-front-module/ao-front-modulepack.sh | UTF-8 | 829 | 3.140625 | 3 | [] | no_license | #!/bin/sh
#
# Module package
# auth <<CV.AO T-SHIOTSUKA>>
#
# 開始宣言
echo "[START][ao-front-modulepack]`date`"
MODULEDIR=/opt/cv/ao-front-module
# dropboxファイル一覧取得(.out .end)、差分未処理ファイル作成
echo "--- ao-front-filelist.sh ---"
${MODULEDIR}/ao-front-filelist.sh
# 空ファイルチェック
filename=/opt/cv-data/work/f-dbdiff.list
NUM=`wc -... | true |
6240312a6cbcb727f2ff5a125b7d74cd0012146c | Shell | pione/pione | /misc/endurance-test/run.sh | UTF-8 | 1,299 | 3.796875 | 4 | [
"MIT",
"Ruby"
] | permissive | #!/bin/sh
N=100
LOCATION=example/HelloWorld/
CLEAR=1
LIMIT=10
usage() {
echo "Usage: run.sh [-n NUMBER] [-l LOCATION] [-z] [--limit SEC]"
echo " -n NUMBER do the test NUMBER times"
echo " -l LOCATION location of process document"
echo " -z don't clear output lo... | true |
0125e900de210f77fabf67e36d6d7619114a86db | Shell | tmzullinger/fedora-ansible | /roles/supybot/files/meetings_by_team.sh | UTF-8 | 302 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
BASELOCATION=/srv/web/meetbot/teams
cd "$BASELOCATION/.." || exit
for f in $(find . -type f -mtime -30 | grep -v "fedora-meeting\.")
do
teamname="$(basename "$f" | awk -F. '{ print $1 }' )"
mkdir -p "$BASELOCATION/$teamname"
ln -f -s "$PWD/$f" "$BASELOCATION/$teamname/"
done
| true |
f571f087a388db2ff9cc4dea10fb01b9b6ff68c1 | Shell | sjatgutzmann/docker.centos.jackrabbit | /run.sh | UTF-8 | 612 | 3.671875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
ARG1=$1
# setting default, simulation of CMD ["console"] in Dockerfile
if [ -z ${ARG1} ]; then
echo -n "setting default start arg to "
ARG1="run"
echo $ARG1
fi
echo "starting this container with ${ARG1}"
case "$ARG1" in
"run")
echo "try to start jackrabbit with java $JA... | true |
177a7f719ceed50e91406898f9848d15adbc9fd5 | Shell | wpeterson/dotfiles | /scripts/research-dump | UTF-8 | 271 | 2.78125 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
TARGET=/tmp/research.dump
export PGPASSWORD=$RESEARCH_DB_PASS
CMD="pg_dump -h alden-research-public.cuhiqihjaxwi.us-east-2.rds.amazonaws.com \
-U research --no-password --no-owner --no-privileges \
-Fc -f $TARGET $@"
echo $CMD
$CMD
| true |
3e8fabfe9cc24976290abd5243d10e71a759888a | Shell | fevrin/home | /.shellrc.d/functions/yessh | UTF-8 | 6,559 | 3.71875 | 4 | [] | no_license | #!/bin/bash
yessh() {
# handy for ssh'ing into servers and getting some common basic environmental modifications without having to copy ~/.bashrc, ~/.bash_aliases, etc. to each server first; it's all done over one connection, if possible
# inspired by <https://superuser.com/a/503785>
# input: server name an... | true |
925bc58c00c3c894088e33390206b9df23f82c3b | Shell | zanhsieh/vagrant-salt-master-minion | /install-salt-minion.sh | UTF-8 | 1,131 | 3.375 | 3 | [] | no_license | #!/bin/bash
if [ ! `grep -q '4505\|4506' /etc/sysconfig/iptables` ]; then
echo "Open port 4505, 4506"
sed -i 's|--dport 22 -j ACCEPT|--dport 22 -j ACCEPT\n-A INPUT -p tcp -m state --state NEW -m tcp --dport 4505 -j ACCEPT\n-A INPUT -p tcp -m state --state NEW -m tcp --dport 4506 -j ACCEPT\n|' /etc/sysconfig/iptabl... | true |
4cc50d83349ddcced3c62fe67c16f4b4ab59ddb6 | Shell | akhmetov/fire | /vagrant_provision.sh | UTF-8 | 760 | 2.8125 | 3 | [] | no_license | #!/usr/bin/env bash
sudo apt-get update
sudo debconf-set-selections <<< 'mysql-server mysql-server/root_password password root'
sudo debconf-set-selections <<< 'mysql-server mysql-server/root_password_again password root'
sudo apt-get install -y apache2 php5 mysql-server php5-mysql php5-mcrypt
sudo php5enmod mcrypt... | true |
5c571c77797d9fb268a16ff8f6791b30b3820fb5 | Shell | youjiahe/sh | /clone.sh | UTF-8 | 692 | 3.625 | 4 | [] | no_license | #!/bin/bash
read -p "请输入虚拟机数量:" n
[ $n -le 0 ] && exit
j=1
i=1
while [ $j -le $n ]
do
if [ ! -e /etc/libvirt/qemu/host${i}.* ] && [ ! -e /var/lib/libvirt/images/host${i}.* ]; then
cd /var/lib/libvirt/images && qemu-img create -b node_new.qcow2 -f qcow2 host${i}.img 20G &>/dev/null
cd /etc/libvi... | true |
61c973b5c15c7237a8b85985b31c7313a11a88a3 | Shell | tglatt/emjpm | /.k8s/postgres/restore/configmap/restore.sh | UTF-8 | 234 | 2.5625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
pg_isready
echo "Restore with ${1}"
pg_restore \
--clean \
--if-exists \
--exit-on-error \
--format=c \
--verbose \
--dbname emjpm \
${1}
psql -d emjpm -c "GRANT ALL ON SCHEMA public TO emjpm"
sleep 10s
| true |
51f5871202f210fc36da4ab5e4a9f060e47989be | Shell | wizd3m/wadam-iso | /clean | UTF-8 | 296 | 2.984375 | 3 | [] | no_license | #!/usr/bin/env bash
if [ -d out ]; then
echo ":: Removing out folder..."
sudo rm -rf out
else
echo ":: Out folder not found..."
fi
if [ -d work ]; then
echo ":: Removing work folder..."
sudo rm -rf work
else
echo ":: Work folder not found..."
fi
echo
echo ":: Done..."
| true |
3afb2b174206a0c653aa920751acf73ee702077f | Shell | temmuzyavuzer/MPI---Bigram-of-large-dataset | /ngram.sh | UTF-8 | 238 | 2.875 | 3 | [] | no_license | DATA="/home/thales/Desktop/ngram/Data"
OUTPUT="/home/thales/Desktop/ngram/Output/"
NGRAM_SIZE=2
if test "$#" -ne 1; then
echo "./ngram.sh numberof"
else
mpiexec -n $1 python3 parallel.py $DATA $OUTPUT $NGRAM_SIZE $NGRAM_SIZE
fi
| true |
6eee0a936b9973acbaadc046a6e248adbc380063 | Shell | cpnuj/chaos | /tools/install_i386_tools.sh | UTF-8 | 2,542 | 3.375 | 3 | [] | no_license | #!/bin/bash
#
# This script is used to install i386-elf-tools for cross compile
# our os.
# Run this file in build directory and sudo
#
# Reference:
# https://steemit.com/esteem/@geyu/10-cross-compiler-i386-elf-gcc
#
# Requirements: gcc g++ libx11-dev
#
set -euxo pipefail
gmp=gmp-4.3.2
mpfr=mpfr-2.4.2
mpc=mpc-1.0.1
... | true |
f8331b5d7613530b1088916ffbbbe461c4b9fa12 | Shell | ArtDu/DA | /labs/lab_7/test_code/wrapper.sh | UTF-8 | 770 | 4.03125 | 4 | [] | no_license | #!/usr/bin/env bash
# *.sh <count of tests>
fail=false
if ! make -C ../; then
echo "ERROR: Failed to compile file."
exit 1
fi
if ! make ; then
echo "ERROR: Failed to compile file."
exit 1
fi
if [[ $# -ne 1 ]] ; then
echo "ERROR: Failed in args."
exit 1
fi
mkdir -p tests
if ! python3 test_g... | true |
10e43e218cd59dff9412c9717c00e83c8274eab8 | Shell | zm-git-dev/LRSDAY | /pipelines/LRSDAY.10.Mitochondrial_Gene_Annotation.sh | UTF-8 | 3,626 | 2.84375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e -o pipefail
#######################################
# load environment variables for LRSDAY
source ./../../env.sh
PERL5LIB="$PERL5LIB:$pirobject_dir/lib"
export RNAFINDER_CFG_PATH="$rnafinder_dir"
export MF2SQN_LIB="$mf2sqn_dir/lib"
export MFANNOT_LIB_PATH="$mfannot_data_dir/protein_collections"
exp... | true |
b898f3d493d86955a5e94b02a76b07827d8ab991 | Shell | LiYang412/tools | /install-cpplint-codestyle-check-githook.sh | UTF-8 | 259 | 3.21875 | 3 | [] | no_license | #!/bin/bash
HOOKPATH=$(find $PWD -wholename "*.git/hooks" -type d)
echo ${HOOKPATH}
if [ -z ${HOOKPATH} ]; then
echo "please run in dir with .git"
exit 1
fi
cd .git/hooks; \
ln -s ../../cpplint/cpplint_pre_commit_hook.sh pre-commit
| true |
221baf9e0cbccac1dd949d750e4a9be6cc220bbc | Shell | qrohlf/dotfiles | /bin/screengif.sh | UTF-8 | 415 | 2.84375 | 3 | [] | no_license | #!/bin/sh
palette="/tmp/palette.png"
scale=${3:-"650"}
filters="fps=15,scale=$scale:-1:flags=lanczos"
# filters="fps=15"
# use filters="fps=15" for no rescale
ffmpeg -v warning -i "$1" -vf "palettegen" -y $palette
ffmpeg -v warning -i "$1" -i $palette -lavfi "$filters [x]; [x][1:v] paletteuse" -y "$2"
echo "unoptim... | true |
8969431462a67017d039c6d3d6ae3c09cab61aea | Shell | Vienta/BlogArticle | /package/PackageShell/Resign-ipa/resign.sh | UTF-8 | 3,782 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
for file2 in `ls -a ./module`
do
if [ x"$file2" != x"." -a x"$file2" != x".." -a x"$file2" != x".DS_Store" ]; then
echo $file2
#Conf file
CONF=./module/$file2/resign.conf
echo $CONF
#Datetime
NOW=$(date +"%Y%m%d_%s")
#Load con... | true |
3153c800dbb51abb610b26b0b3ecddf46e11c988 | Shell | gridcoin-community/Gridcoin-Research | /src/bdb53/dist/validate/s_chk_pubdef | UTF-8 | 4,706 | 3.390625 | 3 | [
"BSD-3-Clause",
"Sleepycat",
"MIT"
] | permissive | #!/bin/sh -
#
# Reconcile the list of public defines with the man pages and the Java files.
d=../..
[ -f $d/LICENSE ] || {
echo 'FAIL: cannot find source distribution directory.'
exit 1
}
docs=$d/docs_src
p=$d/dist/pubdef.in
exitv=0
# remove m4 doc tests, m4 has been removed for 4.8
# TODO: add test for csharp co... | true |
465682ea1fc404c0bcd95c08c8e2574cb86980eb | Shell | stomcavage/bin | /update_vim_bundles.sh | UTF-8 | 425 | 3.53125 | 4 | [] | no_license | #!/usr/local/bin/bash
PATH=/usr/local/bin:/usr/local/sbin:~/bin:/usr/bin:/bin:/usr/sbin:/sbin
GIT=`which git`
START_DIR=`pwd`
VIM_DIR=${HOME}/.vim/bundle
# The column containing the directory name might change depending on OS
BUNDLES=`ls -l $VIM_DIR | egrep '^d' | awk '{print $9}'`
for BUNDLE in $BUNDLES
do
echo... | true |
a5aa0446bb692788819af995199783bea20abe53 | Shell | j-cube/alembic-builder | /env-build-config.sh | UTF-8 | 664 | 3.328125 | 3 | [] | no_license | #!/bin/bash
if [[ $_ = $0 ]] ; then
echo "ERROR: the build config script MUST be sourced!"
exit 1
fi
if [ -z "${TOP_BUILD_DIR}" ]; then
echo "TOP_BUILD_DIR variable not defined"
exit 1
fi
# -- Edit variables here ----------------------------------------------
export TGT=/opt/jcube
export PYTHON_VERSION=2.6
... | true |
97dd128b15292b42035bbd9b8ab8675e6151d5fb | Shell | palladius/gce-spectre-meltdown-checker | /bin/create-vms.sh | UTF-8 | 1,179 | 3.015625 | 3 | [] | no_license | #!/bin/bash
source "env.sh"
VERSION="$(cat VERSION)"
set -x
# PROD
#IMAGES=$( cat images.list | xargs)
# DEV - manhouse :)
IMAGES="debian-9-drawfork-v20180102 centos-7-v20180104 rhel-7-v20180104 ubuntu-1404-trusty-v20171208"
SCOPES="https://www.googleapis.com/auth/devstorage.read_only","https://www.googleapis.com/... | true |
d8ca547f1d647822eb85324d21e62db32553a45e | Shell | Udacity-Cloud-DevOps-George-Projects/Project2 | /UdagramDeleteStack.sh | UTF-8 | 3,965 | 3.6875 | 4 | [] | no_license | #!/bin/bash
#Read environment parameters from udagram-dev-variables.txt file and add them to array
EnvValuesArr=()
while IFS= read -r line; do
EnvValuesArr+=("$line")
done < ./udagram-dev-variables.txt
#Empty S3 Buket
echo ""
echo -e "\e[1;32mTask1:\e[0m"
echo "Deleting S3 Bucket objects...."
#Get S3 Bucket Name f... | true |
b533874c6fdba0a7f2e15205786f53de8bfee231 | Shell | P8P-7/core | /doc/push_docs.sh | UTF-8 | 1,459 | 4.1875 | 4 | [
"MIT"
] | permissive | #!/bin/sh
set -e # Exit with nonzero exit code if anything fails
SOURCE_BRANCH="master"
TARGET_BRANCH="gh-pages"
OUT="html-git"
# Pull requests and commits to other branches shouldn't try to deploy
if [ "$TRAVIS_PULL_REQUEST" != "false" -o "$TRAVIS_BRANCH" != "$SOURCE_BRANCH" ]; then
echo "Skipping deploy"
e... | true |
3583fd12be05d815bc7477659ef259bac86757c5 | Shell | flawnson/scripts_n_snippits | /config/cleanup.sh | UTF-8 | 956 | 3.515625 | 4 | [] | no_license | # If director is a github repository, clean cache, unused libs, etc.
if [ -d "$PWD/.git" ]
then
git gc --aggressive --prune
echo ".git has been cleaned"
else
:
# If conda is installed, clean conda
if [[$(which conda)]]
then
conda update --all && conda clean -p
echo "conda has been cleaned"
else
... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.